%{?nodejs_find_provides_and_requires}

%global packagename chai-cheerio

# tests disabled in Fedora because our version of npm(chai) is newer
# than what this package expects
%global enable_tests 0

Name:		nodejs-chai-cheerio
Version:	1.0.0
Release:	1%{?dist}
Summary:	Cheerio assertions for the Chai assertion library

License:	MIT
URL:		https://github.com/Merott/chai-cheerio
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(chai)
BuildRequires:	npm(cheerio)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Cheerio assertions for the Chai assertion library


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 21 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
